petsc-3.4.2 2013-07-02

# PetscLayoutSetISLocalToGlobalMapping

sets a ISLocalGlobalMapping into a PetscLayout

### Synopsis

    PetscErrorCode  PetscLayoutSetISLocalToGlobalMapping(PetscLayout in,ISLocalToGlobalMapping ltog)

Collective on PetscLayout

### Input Parameter

| in | - input PetscLayout
| ltog | - the local to global mapping

Notes: PetscLayoutSetUp() does not need to be called on the resulting PetscLayout

If the ltog location already contains a PetscLayout it is destroyed

### See Also

PetscLayoutCreate(), PetscLayoutDestroy(), PetscLayoutSetUp(), PetscLayoutDuplicate(), PetscLayoutSetLocalToGlobalMappingBlock()

Level:developer
Location:src/vec/is/utils/pmap.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages